Mise à jour échouée. La réponse n’est pas une réponse JSON valide. (Créer un compte)

  • WordPress :5.4
  • Statut : non résolu
10 sujets de 1 à 10 (sur un total de 10)
  • Auteur
    Messages
  • #2354542
    ClaudiusII
    Participant
    Initié WordPress
    34 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 7.3.21
    • Thème utilisé : Spacious
    • Extensions en place : Akismet Anti-Spam, Child Theme Configurator, Wordfence Security, WP Mail SMTP
    • Nom de l’hébergeur : serveur debian 9.13
    • Adresse du site : http://www.luxelec-zlj.fr
    • Version wordpress : 5.5.1

    Problème(s) rencontré(s) :

    Bonsoir,

    Impossible d’enregistrer une page ou un article car je me retrouve avec cette erreur : “Mise à jour échouée. La réponse n’est pas une réponse JSON valide.”

    Je viens d’installer la version 5.5.1. Je débute le site. Je ne peux donc créer des pages ou des articles. J’ai essayé quelques astuce du net mais rien n’y fait. Il conseille de revenir à la version classique de l’éditeur.

    Y-a-t-il une solution ? merci…

    Amicalement

    Claude

    #2354566
    PhiLyon
    Modérateur
    Maître WordPress
    27014 contributions

    Bonjour.

    As-tu essayé avec le thème parent ?

    🙂

    #2354577
    ClaudiusII
    Participant
    Initié WordPress
    34 contributions

    Bonsoir PhiLyon,

    Je viens de faire l’essai et même punition!!! 😉

    #2354581
    PhiLyon
    Modérateur
    Maître WordPress
    27014 contributions

    Désactive tes extensions pour tester et essaie avec un thème de base.

    🙂

    #2354612
    Flobogo
    Modérateur
    Maître WordPress
    16573 contributions

    Bonjour,

    Je ne suis pas spécialiste à ce niveau-là, mais est-ce que le problème ne viendrait pas de là :

    Nom de l’hébergeur : serveur debian 9.13

    #2354633
    ClaudiusII
    Participant
    Initié WordPress
    34 contributions

    Bonjour PhiLyon,

    J’ai tester les possibilités que tu m’as exposé. Désactivation des extensions, changement des thèmes jusqu’à choisir le thème natif twenty twenty, même problème.

    Apparemment c’est un problème récurant à Gutemberg puisque j’ai trouvé des posts venant de la version wordpress 5.0, 5.1. J’ai tester leurs solutions mais rien n’y fait.

    Pour répondre à Flobogo, cela ne vient pas de mon serveur web debian 9.13 car j’ai d’autres sites qui utilisent Gutemberg et le problème ne se pose pas.

    Pour le moment c’est l’impasse… En tout cas merci pour vos aides.

    Pour être encore plus précis, ce ne sont pas des problèmes de droits sur le serveur et c’est lié à l’enregistrement des pages ou des articles, donc pas de création ou de modification possible.

    • Cette réponse a été modifiée le il y a 3 mois et 2 semaines par ClaudiusII.
    #2354638
    ClaudiusII
    Participant
    Initié WordPress
    34 contributions

    Pour continuer et être sûr que cela provient de Gutemberg lui-même, j’ai installé l’extension de l’éditeur classique v1.6 et là je peux modifier et enregistrer mes pages et articles. Ce qui fait que le problème n’est donc toujours pas réglé sous Gutemberg. 😉

    #2354660
    PhiLyon
    Modérateur
    Maître WordPress
    27014 contributions

    Bonjour.

    Pour continuer et être sûr que cela provient de Gutemberg lui-même

    Ma config de test en local :

    Serveur Nginx – PHP 7.4.1 – MySQL 8.0.16 – WordPress 5.5.1 – Spacious 1.7.9

    Aucun problème, tout fonctionne.

    C’est forcément dans ta config que cela coince.

    🙂

    #2354674
    Flobogo
    Modérateur
    Maître WordPress
    16573 contributions

    Bonjour,

     

    Consultez éventuellement les solutions proposées là : https://www.thibautsoufflet.fr/resoudre-lerreur-wordpress-mise-a-jour-echouee-message-derreur-la-reponse-nest-pas-une-reponse-json-valide/

    Et augmentez peut-être votre version PHP

    #2355290
    ClaudiusII
    Participant
    Initié WordPress
    34 contributions

    Bonjour Flobogo et PhiLyon,

    Je connais ce lien et j’ai tout essayé et vérifié, cela n’a rien résolu. J’ai donc approfondi mes recherches et je me suis aperçu que j’avais un problème avec mes parméliens. Lorsque je choisi le format “mois et année” par exemple aucun changement ne se produit et je me retrouve avec une erreur 404 sur le lien de mes pages ou articles. Je suis bloqué au format simple.

    Il est possible que cela provoque l’erreur json. Augmenter le php ne changera rien car d’autres sites fonctionnent très bien.

    Cordialement

10 sujets de 1 à 10 (sur un total de 10)
  • Vous devez être connecté pour répondre à ce sujet.